commit cc4ac9cf36fdf3815381b791e47a90b8aebc7e78
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jan 25 15:37:23 2026 -0800

    libXinerama 1.1.6
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 2ea91065efaebf24c00c1a1043da9d79c0ebea92
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jan 11 11:20:41 2026 -0800

    gitlab CI: drop the ci-fairy check-mr job
    
    The only thing this checked was the checkbox for allowing maintainers to
    edit the MR. Changed permissions checks now fail this job but luckily
    the setting it checked has been the default for years anyway so we can
    drop it.
    
    https://gitlab.freedesktop.org/freedesktop/ci-templates/-/issues/81
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit cc22c2f60c3862482562955116d5455263b443dc
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Jul 14 11:32:27 2025 -0700

    Improve man page formatting
    
    More closely follow common style as described on
    https://man7.org/linux/man-pages/man7/man-pages.7.html
    and fix warnings raised by `mandoc -T lint` and `groff -rCHECKSTYLE=10`
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Part-of: <https://gitlab.freedesktop.org/xorg/lib/libxinerama/-/merge_requests/6>

commit 2344df8f821f9becc8aaa6af939b535b51d4a332
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Feb 16 11:04:43 2025 -0800

    meson: Add option to build with meson
    
    Also updates the gitlab CI config to test both build types
    and compare the generated output/installed files.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Part-of: <https://gitlab.freedesktop.org/xorg/lib/libxinerama/-/merge_requests/5>

commit 51c28095951676a5896437c4c3aa40fb1972bad2
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Mar 4 10:44:45 2023 -0800

    configure: Use LT_INIT from libtool 2 instead of deprecated AC_PROG_LIBTOOL
    
    AC_PROG_LIBTOOL was replaced by LT_INIT in libtool 2 in 2008,
    so it's time to rely on it.
    
    Clears autoconf warnings:
    
    configure.ac:34: warning: The macro `AC_PROG_LIBTOOL' is obsolete.
    configure.ac:34: You should run autoupdate.
    aclocal.m4:3465: AC_PROG_LIBTOOL is expanded from...
    configure.ac:34: the top level
    
    libtoolize: Consider adding 'AC_CONFIG_MACRO_DIRS([m4])' to configure.ac,
    libtoolize: and rerunning libtoolize and aclocal.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit d23d26669ef6eec36952660bec5b3db8eb025f6b
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Feb 25 09:27:13 2023 -0800

    Remove "All rights reserved" from Oracle copyright notices
    
    Oracle no longer includes this term in our copyright & license notices.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 71dfee64feb84f907016940263b235a61c9e8960
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Oct 28 19:11:15 2022 -0700

    libXinerama 1.1.5
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 6d79fed500bac57b41446fb1e3c5017c8607e58a
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Oct 14 16:59:57 2022 -0700

    Remove "register" type qualifier from variable declarations
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 23bbb667935de678fadb16e254f319a8c24ac71a
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Oct 14 16:54:53 2022 -0700

    XineramaQueryScreens: fix -Wsign-compare warning
    
    Xinerama.c: In function ‘XineramaQueryScreens’:
    Xinerama.c:308:16: warning: comparison between signed and unsigned integer expressions [-Wsign-compare]
      for (i = 0; i < rep.number; i++) {
                    ^
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit f7c9b2cdd92cfcc1fcf0eb94c7fc5daaed2786f4
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jul 17 15:21:04 2022 -0700

    gitlab CI: add a basic build test
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 389b352dad70c714386cab600b538de4fcee47b6
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jul 17 15:19:21 2022 -0700

    Fix spelling/wording issues
    
    Found by using:
        codespell --builtin clear,rare,usage,informal,code,names
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit c195abbb5f072cf2c5a575fe482bf1cf23531f14
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jul 17 15:18:14 2022 -0700

    Build xz tarballs instead of bzip2
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit c5187f076d16601c15c59c5a2f05c0513d9f042b
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Dec 7 19:43:32 2018 -0800

    Update configure.ac bug URL for gitlab migration
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 5b5dd2bf7d141850a3bca41bfd198f8fab13812b
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Nov 19 22:24:46 2018 -0800

    Update README for gitlab migration
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit c3ab2361f13154921df2992f9eacc1ea1b3f946b
Author: Adam Jackson <ajax@redhat.com>
Date:   Thu Jul 5 11:42:49 2018 -0400

    libXinerama 1.1.4
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 56777107b0c517ba58304d6a247bf65f7a27eb96
Author: Mihail Konev <k.mvc@ya.ru>
Date:   Thu Jan 26 13:52:49 2017 +1000

    autogen: add default patch prefix
    
    Signed-off-by: Mihail Konev <k.mvc@ya.ru>

commit 8760aecaae521a4ea88793462eb743d5877320c8
Author: Emil Velikov <emil.l.velikov@gmail.com>
Date:   Mon Mar 9 12:00:52 2015 +0000

    autogen.sh: use quoted string variables
    
    Place quotes around the $srcdir, $ORIGDIR and $0 variables to prevent
    fall-outs, when they contain space.
    
    Signed-off-by: Emil Velikov <emil.l.velikov@gmail.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 7dcef53aa805884e1317d50db7778e422e3b412b
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Jan 24 10:32:07 2017 +1000

    autogen.sh: use exec instead of waiting for configure to finish
    
    Syncs the invocation of configure with the one from the server.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Emil Velikov <emil.velikov@collabora.com>

commit 1142dd023acaac3cad96137aaf24c45b260e3ecd
Author: Tobias Stoeckmann <tobias@stoeckmann.org>
Date:   Sun Jan 22 15:18:04 2017 +0100

    libXinerama: Set number of screens to 0 on error
    
    The documentation of XineramaQueryScreens states that number is always
    set to the amount of screens in the returned array, but if the
    communication with the X server fails, NULL is returned without
    modifying number.
    
    At least dwm relies on the fact that number is set to 0 on error, i.e.
    when NULL is returned. As a NULL pointer contains 0 elements and the
    documentation states that number contains the amount of elements of the
    returned array, I think this should be fixed inside libXinerama.
    
    Reviewed-by: Adam Jackson <ajax@redhat.com>

commit edd95182b26eb5d576d4878c559e0f17dddaa909
Author: Michael Joost <mehl@michael-joost.de>
Date:   Mon Nov 18 16:11:26 2013 +0100

    Remove fallback for _XEatDataWords, require libX11 1.6 for it
    
    _XEatDataWords was orignally introduced with the May 2013 security
    patches, and in order to ease the process of delivering those,
    fallback versions of _XEatDataWords were included in the X extension
    library patches so they could be applied to older versions that didn't
    have libX11 1.6 yet.   Now that we're past that hurdle, we can drop
    the fallbacks and just require libX11 1.6 for building new versions
    of the extension libraries.
    
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 6e1d1dc328ba8162bba2f4694e7f3c706a1491ff
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu May 30 17:27:51 2013 -0700

    libXinerama 1.1.3
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 99c644fc8488657bdd106717df7446d606f9ef22
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Mar 8 19:55:55 2013 -0800

    integer overflow in XineramaQueryScreens() [CVE-2013-1985]
    
    If the reported number of screens is too large, the calculations to
    allocate memory for them may overflow, leaving us writing beyond the
    bounds of the allocation.
    
    Reported-by: Ilja Van Sprundel <ivansprundel@ioactive.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 7ce3ce4be46087f9cc57cb415875abaaa961f734
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat May 4 09:21:14 2013 -0700

    Use _XEatDataWords to avoid overflow of _XEatData calculations
    
    rep.length is a CARD32, so rep.length << 2 could overflow in 32-bit builds
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 470b9356af961ff7d3968b164aa73872b49a5dcc
Author: Colin Walters <walters@verbum.org>
Date:   Wed Jan 4 17:37:06 2012 -0500

    autogen.sh: Implement GNOME Build API
    
    http://people.gnome.org/~walters/docs/build-api.txt
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit c20859051442e4a262895a78ae934758fbdc34a0
Author: Adam Jackson <ajax@redhat.com>
Date:   Tue Jan 15 14:28:48 2013 -0500

    configure: Remove AM_MAINTAINER_MODE
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 34b66b71eeb04a50125a3e5c59fe0d22500ab679
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Mar 7 20:29:30 2012 -0800

    libXinerama 1.1.2
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 2a6cc285b7f9c880d08de6e58b045a314fc1ff78
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Nov 10 21:35:42 2011 -0800

    Fix gcc -Wwrite-strings warning
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 3e94f2d5fe0ee95f54faabbe253ac33327ef6d66
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Sep 16 22:44:02 2011 -0700

    Strip trailing whitespace
    
    Performed with: find * -type f | xargs perl -i -p -e 's{[ \t]+$}{}'
    git diff -w & git diff -b show no diffs from this change
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 22cd4cfdf1613d73cdd84eae805239f55c4265c2
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Feb 2 11:43:43 2011 -0500

    config: comment, minor upgrade, quote and layout configure.ac
    
    Group statements per section as per Autoconf standard layout
    Quote statements where appropriate.
    Autoconf recommends not using dnl instead of # for comments
    
    Use AC_CONFIG_FILES to replace the deprecated AC_OUTPUT with parameters.
    Add AC_CONFIG_SRCDIR([Makefile.am])
    
    This helps automated maintenance and release activities.
    Details can be found in http://wiki.x.org/wiki/NewModuleGuidelines

commit 6333852f00206cfb9320f4ddca685195a79341a9
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Fri Jan 28 19:41:37 2011 -0500

    config: replace deprecated AM_CONFIG_HEADER with AC_CONFIG_HEADERS
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 8dcc510ee404798a688574d57157eb9e1477ea44
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Jan 27 18:50:15 2011 -0500

    config: remove AC_PROG_CC as it overrides AC_PROG_C_C99
    
    XORG_STRICT_OPTION from XORG_DEFAULT_OPTIONS calls
    AC_PROG_C_C99. This sets gcc with -std=gnu99.
    If AC_PROG_CC macro is called afterwards, it resets CC to gcc.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 8e62595cc1af274f1c40868c5d7461c176982062
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Oct 27 23:28:24 2010 -0700

    libXinerama 1.1.1
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit d94e21941a296ed125d4704c31af020fd140fcbc
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Oct 27 23:27:21 2010 -0700

    Sun's copyrights now belong to Oracle
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit d3da9510deb14255ee7eabdecc3988af57441ee7
Author: Jesse Adkins <jesserayadkins@gmail.com>
Date:   Tue Sep 28 13:30:03 2010 -0700

    Purge cvs tags.
    
    Signed-off-by: Jesse Adkins <jesserayadkins@gmail.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit c09ed03c45c8141b620a49bce2dc19a2729b60b8
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Aug 16 20:06:56 2010 -0400

    man: store shadow man pages in git rather than generating them
    
    Simplify the build process and the makefile.
    
    Local fix in CVS for bug 5628 is not required
    as the problem has been fixed in
    util-macros d9062e4077ebfd0985baf8418f3d0f111b9ddbba
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit ade2b02753362b178d7e926e18601ae2b0698532
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Jul 7 16:38:03 2010 -0700

    Use make rules instead of shell for loops to generate shadow man pages
    
    Allows parallel make and simpler build logs/error reporting
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 2921352cfef9faf007f2b35aa06089425ba095ed
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Jul 7 16:32:00 2010 -0700

    config: upgrade to util-macros 1.8 for additional man page support
    
    Use MAN_SUBST now supplied in XORG_MANPAGE_SECTIONS
    The value of MAN_SUBST is the same for all X.Org packages.
    
    Use AC_PROG_SED now supplied by XORG_DEFAULT_OPTIONS
    The existing statement can now be removed from the configuration file.
    
    Use automake provided $(AM_V_GEN) and XORG_DEFAULT_OPTIONS provided $(SED)
    Enables silent rule and use platform appropriate version of sed.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 2b5874a864152ac0466476b1c5b8ab0203887d20
Author: Fernando Carrijo <fcarrijo@yahoo.com.br>
Date:   Thu Jul 1 06:57:33 2010 -0300

    Purge macros NEED_EVENTS and NEED_REPLIES
    
    Signed-off-by: Fernando Carrijo <fcarrijo@yahoo.com.br>
    Acked-by: Tiago Vignatti <tiago.vignatti@nokia.com>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit d8a51c48a4278b3481a5301be8ecb533fe87e9a7
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Mar 29 16:50:34 2010 -0400

    config: update AC_PREREQ statement to 2.60
    
    Unrelated to the previous patches, the new value simply reflects
    the reality that the minimum level for autoconf to configure
    all x.org modules is 2.60 dated June 2006.
    
    ftp://ftp.gnu.org/gnu/autoconf/autoconf-2.60.tar.gz
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit fa1772317219f2e2b4079c463f4139e02bec9853
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Mar 29 14:53:49 2010 -0400

    config: remove the pkgconfig pc.in file from EXTRA_DIST
    
    Automake always includes it in the tarball.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 43b50ccdd50511aad7bdd1869b294813550f7741
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Feb 16 10:37:21 2010 -0500

    config: move CWARNFLAGS from configure.ac to Makefile.am
    
    Compiler warning flags should be explicitly set in the makefile
    rather than being merged with other packages compiler flags.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit e528b336ce5aa66aa720fd94df4618f40a85b818
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Jan 14 20:43:47 2010 -0800

    Fill in COPYING with licenses from source files
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit e569f85315c0ff82a1481706f0736b85dc3bccf9
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Jan 14 20:40:40 2010 -0800

    Update Sun license notices to current X.Org standard form
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit a470f6392f4bd532e6e855445346f00e680983db
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Fri Nov 27 20:56:04 2009 -0500

    Makefile.am: add ChangeLog and INSTALL on MAINTAINERCLEANFILES
    
    Now that the INSTALL file is generated.
    Allows running make maintainer-clean.

commit 31f4af6528b6b45ea6f946f5ac97260f06c24071
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Oct 28 14:09:10 2009 -0400

    INSTALL, NEWS, README or AUTHORS files are missing/incorrect #24206
    
    Add missing INSTALL file. Use standard GNU file on building tarball
    README may have been updated
    Remove AUTHORS file as it is empty and no content available yet.
    Remove NEWS file as it is empty and no content available yet.

commit f23ac859c9d47158c9ef58b93361e43e8cd63db3
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Oct 27 15:07:25 2009 -0400

    Deploy the new XORG_DEFAULT_OPTIONS #24242
    
    This macro aggregate a number of existing macros that sets commmon
    X.Org components configuration options. It shields the configuration file from
    future changes.

commit 94b6ea6665839bb399fe4befd3b6d1b20d128de8
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Oct 26 22:08:43 2009 -0400

    Makefile.am: ChangeLog not required: EXTRA_DIST or *CLEANFILES #24432
    
    ChangeLog filename is known to Automake and requires no further
    coding in the makefile.

commit 231ee8c9bbed45d89eed56e6c861af259b12f005
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Oct 22 12:34:19 2009 -0400

    .gitignore: use common defaults with custom section # 24239
    
    Using common defaults will reduce errors and maintenance.
    Only the very small or inexistent custom section need periodic maintenance
    when the structure of the component changes. Do not edit defaults.

commit 968cb085c8e3fece7f10fe8e4c290f32e0b246b0
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Nov 2 14:58:54 2009 -0800

    Fix PanroamiXOff typo in comment in panoramiXext.h
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 96c0d0e13c90e01c4335b64369adfac02ff8a148
Author: Jeremy Huddleston <jeremyhu@freedesktop.org>
Date:   Wed Oct 21 12:47:25 2009 -0700

    This is not a GNU project, so declare it foreign.
    
    On Wed, 2009-10-21 at 13:36 +1000, Peter Hutterer wrote:
    > On Tue, Oct 20, 2009 at 08:23:55PM -0700, Jeremy Huddleston wrote:
    > > I noticed an INSTALL file in xlsclients and libXvMC today, and it
    > > was quite annoying to work around since 'autoreconf -fvi' replaces
    > > it and git wants to commit it.  Should these files even be in git?
    > > Can I nuke them for the betterment of humanity and since they get
    > > created by autoreconf anyways?
    >
    > See https://bugs.freedesktop.org/show_bug.cgi?id=24206
    
    As an interim measure, replace AM_INIT_AUTOMAKE([dist-bzip2]) with
    AM_INIT_AUTOMAKE([foreign dist-bzip2]). This will prevent the generation
    of the INSTALL file. It is also part of the 24206 solution.
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@freedesktop.org>

commit ee877cebfea0773a91337439d32ece12444cf0a6
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Oct 2 13:27:04 2009 +1000

    libXinerama 1.1
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit c5f1f903ddf1f2216bb31408caec3e87ea795dd9
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Oct 2 13:26:17 2009 +1000

    Require macros 1.3 for XORG_DEFAULT_OPTIONS
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 46e5273f34fd950cb4757583e06d5687d1f10407
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Aug 27 11:47:34 2009 +1000

    libXinerama 1.0.99.1
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 0bfbff6d88be339f5837aa2fff016950d07a6bc5
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Aug 27 11:46:33 2009 +1000

    Require xineramaproto 1.1.99.1 to avoid header conflicts.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 90d4d23bf2e94721149ddc0a80093b10a82e8845
Author: Benjamin Close <Benjamin.Close@clearchain.com>
Date:   Fri Feb 13 14:48:50 2009 +1030

    Proto major/minors shouldn't live in the extension header but the proto header
    
    Previously the Xserver was pulling in the extension header rather than the proto header
    this led to issues when compiling the xserver. Instead we shift the proto numbers to
    the proto header and tell the X server to use the proto header. Hence it's possible
    to compile the server without the lib again.
    
    Signed-off-by: Benjamin Close <Benjamin.Close@clearchain.com>
    Acked-by: Daniel Stone <daniel@fooishbar.org>
    Acked-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 9810140927d4aa646f585367215d6ca684ce60a4
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Feb 2 20:34:34 2009 -0800

    Add README with pointers to mailing list, bugzilla & git repos
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 39a19b89cb7bd226ec51000d4e8e7643ac076ce6
Author: Paulo Cesar Pereira de Andrade <pcpa@mandriva.com.br>
Date:   Fri Jan 30 03:53:40 2009 -0200

    panoramiXext.h is included in X Server build.
    
      The X Server build only requires the value of the macros
    PANORAMIX_MAJOR_VERSION and PANORAMIX_MINOR_VERSION.

commit 7c72e844a794a9cedd9e614e919f696b47ede5e5
Author: Paulo Cesar Pereira de Andrade <pcpa@mandriva.com.br>
Date:   Thu Jan 29 19:42:06 2009 -0200

    Janitor: ansification, make distcheck, compiler warnings.

commit 8123c94eba27d1a3eb3f509a79c229ddfa1f881a
Author: Peter Hutterer <peter@cs.unisa.edu.au>
Date:   Mon May 19 22:56:50 2008 +0930

    Add Xinerama.h and panoramiXext.h to includedir.
    
    Were previously part of xineramaproto, but they really belong here.
    For a history of these files please refer to
    git://anongit.freedesktop.org/git/xorg/proto/xineramaproto

commit c5ac895a7dabe5a46e33e733771f20cc08e72d95
Author: Peter Hutterer <peter@cs.unisa.edu.au>
Date:   Mon May 19 17:43:19 2008 +0930

    Rename parameters to clarify QueryVersion/QueryExtension.
    
    These parameters are not treated as input. Rename them to make the inner
    workings slightly more obvious.
    
    X.Org Bug 14511 <http://bugs.freedesktop.org/show_bug.cgi?id=14511>

commit cbfc4113a44053c2dfacd14475ff14f43817f3c1
Author: Adam Jackson <ajax@redhat.com>
Date:   Thu Mar 6 15:42:56 2008 -0500

    libXinerama 1.0.3

commit 7c169beed2d8324c95385d248777f21c721b332e
Author: Adam Jackson <ajax@redhat.com>
Date:   Sun Feb 24 20:30:03 2008 -0500

    Bug #13660: XineramaQueryScreens() always modifies the 'number' outparameter.
    
    This makes the code match the man page.

commit 52040eaaba626dd998f7a5421a923de0b0e06ad2
Author: James Cloos <cloos@jhcloos.com>
Date:   Thu Dec 6 15:51:17 2007 -0500

    Add missing PHONY line for automatic ChangeLog generation

commit 5362a27db8fddfb03ade3b2c622a2256d91de9eb
Author: Brice Goglin <Brice.Goglin@ens-lyon.org>
Date:   Wed Jul 25 21:41:28 2007 +0200

    Fix typo in Xinerama.man
    
    Reported by Emanuele Rocca <ema@debian.org> in
    http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=432256

commit 583d26d583bb0034ff91119ceefc08df64fbbc46
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Mar 16 16:26:41 2007 -0700

    Version bump: 1.0.2

commit 96c081ed52e3437ede0062eb7ccfb520879cbc0e
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Mar 16 16:22:21 2007 -0700

    Replace static ChangeLog with dist-hook to generate from git log

commit 1a5b5c7e5f603528ff69468f8d6d73e2e30442a5
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Mar 1 16:56:14 2007 -0800

    Add man page for Xinerama API functions

commit 0062a3f12535043fd8d2dc70f41bd45fa6e8b495
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Mar 1 15:41:55 2007 -0800

    Remove unneeded #include of <stdio.h>

commit 36a4a6f58b95ce244741df939cccef4733d80b03
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Feb 15 19:06:14 2007 -0800

    Clear sparse warnings & error
    
    Xinerama.c:56:5: warning: incorrect type in initializer (incompatible argument 1 (different types))
    Xinerama.c:68:8: error: symbol 'close_display' redeclared with different type (originally declared at Xinerama.c:48) - incompatible argument 1 (different types)
    Xinerama.c:283:5: warning: Using plain integer as NULL pointer

commit c98be137c711235fe5bff430e93222d2a47b5e6a
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Feb 15 18:59:53 2007 -0800

    Add support for source code checkers such as sparse & lint

commit 269885f05a4aed0eb3ee192217fa8ec6494f90c5
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Feb 15 18:55:38 2007 -0800

    Add *~ to .gitignore to skip over emacs/patch droppings

commit e9214fe612d40bf5a792eda2dd9a52ef2bdba805
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Jul 13 14:59:00 2006 -0700

    renamed: .cvsignore -> .gitignore

commit 29feb54b5a0e9a0bc96f02f7f8f89384afbd7feb
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Dec 21 02:30:05 2005 +0000

    Update package version for X11R7 release.

commit 1da385cfa49d34cf38ec296738db9ecc8e5a2f02
Author: Adam Jackson <ajax@nwnk.net>
Date:   Mon Dec 19 16:28:27 2005 +0000

    Stub COPYING files

commit 78b498e1e7b92d59a16aa689cece7c1fdaf18eab
Author: Kevin E Martin <kem@kem.org>
Date:   Thu Dec 15 00:24:30 2005 +0000

    Update package version number for final X11R7 release candidate.

commit bf6d28d2dd4d6d20e6a8d165f22d2d8c17b16133
Author: Kevin E Martin <kem@kem.org>
Date:   Sat Dec 3 05:49:44 2005 +0000

    Update package version number for X11R7 RC3 release.

commit bacedae4107065e7b6617f3218f21a7321d8474c
Author: Kevin E Martin <kem@kem.org>
Date:   Sat Dec 3 04:41:50 2005 +0000

    Add check and cflags for malloc(0) returning NULL.

commit d1078682cc64b0a669c6180839efd8a137b90d13
Author: Kevin E Martin <kem@kem.org>
Date:   Sat Nov 19 07:15:41 2005 +0000

    Update pkgconfig files to separate library build-time dependencies from
        application build-time dependencies, and update package deps to work
        with separate build roots.

commit 0af77179518266232a5e3b10f180325a21dd3343
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Oct 19 02:48:11 2005 +0000

    Update package version number for RC1 release.

commit 219ac4ac54207f1d5ed334efade3335ff2c64add
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Fri Aug 19 00:13:46 2005 +0000

    More updates for Panoramix -> Xinerama rename

commit 4306b9835f9015c38f8d5ec19526c8555a1b84cf
Author: Adam Jackson <ajax@nwnk.net>
Date:   Wed Aug 3 03:28:01 2005 +0000

    Do PKG_CHECK_MODULES on a unique token instead of on "DEP", so builds with
        a global configure cache don't get confused.

commit 24aa28a9dad24944a006c4038c35f6302b5ea3b0
Author: Kevin E Martin <kem@kem.org>
Date:   Fri Jul 29 21:22:51 2005 +0000

    Various changes preparing packages for RC0:
    - Verify and update package version numbers as needed
    - Implement versioning scheme
    - Change bug address to point to bugzilla bug entry form
    - Disable loadable i18n in libX11 by default (use --enable-loadable-i18n to
        reenable it)
    - Fix makedepend to use pkgconfig and pass distcheck
    - Update build script to build macros first
    - Update modular Xorg version

commit 5468d892030e993a2fdd4c8177cc7cb193ba0411
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Sat Jul 16 07:14:52 2005 +0000

    Set soversion to 1.0.0 using -version-number.

commit 29971c16c1ad45dc8c958e12561e77e745e4a2fc
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Tue Jul 12 07:56:48 2005 +0000

    Change version to 1.1.0 and soversion to 1.0.0.

commit e6417efb575017851e0e988ad99304094c36290c
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Jul 9 06:42:31 2005 +0000

    Add .cvsignore files Switch _la_CFLAGS for AM_CFLAGS to clean up directory

commit 3835ed8e7aac1dfafa02ba6e33273523a6ef139f
Author: Alexander Gottwald <alexander.gottwald@s1999.tu-chemnitz.de>
Date:   Tue Jun 21 15:41:36 2005 +0000

    lib/XScrnSaver/configure.ac
    lib/XScrnSaver/src/Makefile.am
    lib/Xfontcache/configure.ac
    lib/Xfontcache/src/Makefile.am
    lib/Xinerama/configure.ac
    lib/Xinerama/src/Makefile.am
    lib/Xtst/configure.ac
    lib/Xv/configure.ac
    lib/XvMC/configure.ac
    lib/dmx/configure.ac Add missing xext.pc and xextproto.pc Add DEP_CFLAGS to
        src/Makefile.am

commit 2a6c0aa8f36dad9ff49385ef15c3dfc2529483b8
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:   Fri Jun 10 19:33:53 2005 +0000

    util/modular/modularizelibrary.sh: use rm -f instead of rm in one place
        util/modular/addbuild.sh: Make it much faster by adding all the files
        at once lib/Xinerama: check in the build system

commit d7469261b17559d537660fbae0fc39fa1e37b6a2
Author: Egbert Eich <eich@suse.de>
Date:   Fri Apr 23 18:43:45 2004 +0000

    Merging XORG-CURRENT into trunk

commit c9662b6719b33f6a8dfee281fd93379ca6d4624b
Author: Egbert Eich <eich@suse.de>
Date:   Sun Mar 14 08:32:12 2004 +0000

    Importing vendor version xf86-4_4_99_1 on Sun Mar 14 00:26:39 PST 2004

commit bbbb84282378baf72c0708933366168cbfec284e
Author: Egbert Eich <eich@suse.de>
Date:   Wed Mar 3 12:11:29 2004 +0000

    Importing vendor version xf86-4_4_0 on Wed Mar 3 04:09:24 PST 2004

commit 787da2ac90290d601d0c2109c26bff9c3a66118f
Author: Egbert Eich <eich@suse.de>
Date:   Thu Feb 26 13:35:33 2004 +0000

    readding XFree86's cvs IDs

commit 27f0b1858e9939afc9b9d064bea23d6ebfe0570d
Author: Egbert Eich <eich@suse.de>
Date:   Thu Feb 26 09:22:43 2004 +0000

    Importing vendor version xf86-4_3_99_903 on Wed Feb 26 01:21:00 PST 2004

commit a89cc18ae1eb9cf612d6f4987d49541e008a0fb4
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 16:48:49 2003 +0000

    XFree86 4.3.0.1

commit d16fb988d427bf8c684a80fee18a4fe6c4d1d578
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 16:48:49 2003 +0000

    Initial revision
